Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.cwru.SimpleRTS.Log
Class ActionLogger

    java.lang.Object
      edu.cwru.SimpleRTS.Log.ActionLogger

All Implemented Interfaces:
  java.io.Serializable

    public class ActionLogger

extends java.lang.Object
implements java.io.Serializable

Note: as of 9/9/11, the addAction function is being called based on the controller of the unit, rather than directly from the player issuing the order

Author:
  The Condor
See Also:
  Serialized Form

Constructor Summary
`ActionLogger()`

Method Summary
`void` | `addAction(int playernum, Action action)`
`void` | `addPlayer(int playernumber)`
`boolean` | `equals(java.lang.Object obj)`
`java.util.List<Action>` | `getActions(int playernum, int roundnumber)` Get the actions of a player
`int` | `hashCode()`
`void` | `nextRound()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionLogger

    public ActionLogger()

Method Detail

### nextRound

    public void nextRound()

### addPlayer

    public void addPlayer(int playernumber)

### addAction

    public void addAction(int playernum,
                          Action action)

### getActions

    public java.util.List<Action> getActions(int playernum,
                                             int roundnumber)

  Get the actions of a player

  Parameters:
    `playernum` -
    `roundnumber` -
  Returns:
    an unmodifiable list of actions performed by a player in a specific round (or an empty list if the player or round is not found)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD